package com.jeeplus.modules.sg.picking.activiti.entity;

import com.jeeplus.core.persistence.ActEntity;
import com.jeeplus.core.persistence.DataEntity;

import java.util.List;

public class ShowList extends ActEntity<ShowList> implements Comparable<ShowList> {
    //模块大类
    private String mdBigClass;
    //模块中类
    private String mdTheClass;
    //模块名称
    private String mdName;
    //物料编码
    private String materialCode;
    //物料名称;
    private String materialDescription;
    //扩展描述;
    private String extensionDescription;
    //单位;
    private String mdUnits;
    //总量;
    private Double mdTotalAmount;
    //修改后总量
    private Double mdTotalAmountAfter;
    //数量
    private Double mdCount;
    //单重/kg;
    private Double mdSingleWeight;
    //总重/吨;
    private Double mdTotalWeight;
    //甲乙供;
    private String mdTheParty;
    //备注;
    private String mdText;
    //数量
    private Double number;
    //对应的模块信息
    private String blockId;
    //版本号
    private List<String> version;
    //流程发起的次数
    private String theNumber;
    //查询编号列表
    private List<String> findList;
    //记录选择的版本
    private String sVersion;
    //选择的项目信息
    private String projectName;
    //选择的项目定义号
    private String projectId;
    //储备项目名称
    private String reserveProjectName;
    //选择的项目及数量
    private String selectNumber;
    //可用库存数量
    private Double availableStockQuantity;
    //在当前节点的数量
    private Double nowNumber;

    /**
     * 大分类
     * */
    private String bigClassification;
    /**
     * 中分类
     * */
    private String theClassification;
    /**
     * 小分类
     * */
    private String smallClassification;


    private String reserveName;

    public String getReserveName() {
        return reserveName;
    }

    public void setReserveName(String reserveName) {
        this.reserveName = reserveName;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialDescription() {
        return materialDescription;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }

    public String getExtensionDescription() {
        return extensionDescription;
    }

    public void setExtensionDescription(String extensionDescription) {
        this.extensionDescription = extensionDescription;
    }

    public String getMdUnits() {
        return mdUnits;
    }

    public void setMdUnits(String mdUnits) {
        this.mdUnits = mdUnits;
    }


    public String getMdTheParty() {
        return mdTheParty;
    }

    public void setMdTheParty(String mdTheParty) {
        this.mdTheParty = mdTheParty;
    }

    public String getMdText() {
        return mdText;
    }

    public void setMdText(String mdText) {
        this.mdText = mdText;
    }

    public List<String> getFindList() {
        return findList;
    }

    public void setFindList(List<String> findList) {
        this.findList = findList;
    }

    public Double getMdTotalAmount() {
        return mdTotalAmount;
    }

    public void setMdTotalAmount(Double mdTotalAmount) {
        this.mdTotalAmount = mdTotalAmount;
    }

    public Double getMdSingleWeight() {
        return mdSingleWeight;
    }

    public void setMdSingleWeight(Double mdSingleWeight) {
        this.mdSingleWeight = mdSingleWeight;
    }

    public Double getMdTotalWeight() {
        return mdTotalWeight;
    }

    public void setMdTotalWeight(Double mdTotalWeight) {
        this.mdTotalWeight = mdTotalWeight;
    }

    public Double getNumber() {
        return number;
    }

    public void setNumber(Double number) {
        this.number = number;
    }

    public String getBlockId() {
        return blockId;
    }

    public void setBlockId(String blockId) {
        this.blockId = blockId;
    }

    public List<String> getVersion() {
        return version;
    }

    public void setVersion(List<String> version) {
        this.version = version;
    }

    public String getsVersion() {
        return sVersion;
    }

    public void setsVersion(String sVersion) {
        this.sVersion = sVersion;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    public String getTheNumber() {
        return theNumber;
    }

    public void setTheNumber(String theNumber) {
        this.theNumber = theNumber;
    }

    public String getSelectNumber() {
        return selectNumber;
    }

    public void setSelectNumber(String selectNumber) {
        this.selectNumber = selectNumber;
    }

    public Double getMdCount() {
        return mdCount;
    }

    public void setMdCount(Double mdCount) {
        this.mdCount = mdCount;
    }

    public String getMdBigClass() {
        return mdBigClass;
    }

    public void setMdBigClass(String mdBigClass) {
        this.mdBigClass = mdBigClass;
    }

    public String getMdTheClass() {
        return mdTheClass;
    }

    public void setMdTheClass(String mdTheClass) {
        this.mdTheClass = mdTheClass;
    }

    public String getMdName() {
        return mdName;
    }

    public void setMdName(String mdName) {
        this.mdName = mdName;
    }

    public Double getAvailableStockQuantity() {
        return availableStockQuantity;
    }

    public void setAvailableStockQuantity(Double availableStockQuantity) {
        this.availableStockQuantity = availableStockQuantity;
    }

    public Double getNowNumber() {
        return nowNumber;
    }

    public void setNowNumber(Double nowNumber) {
        this.nowNumber = nowNumber;
    }

    public Double getMdTotalAmountAfter() {
        return mdTotalAmountAfter;
    }

    public void setMdTotalAmountAfter(Double mdTotalAmountAfter) {
        this.mdTotalAmountAfter = mdTotalAmountAfter;
    }

    public String getBigClassification() {
        return bigClassification;
    }

    public void setBigClassification(String bigClassification) {
        this.bigClassification = bigClassification;
    }

    public String getTheClassification() {
        return theClassification;
    }

    public void setTheClassification(String theClassification) {
        this.theClassification = theClassification;
    }

    public String getSmallClassification() {
        return smallClassification;
    }

    public void setSmallClassification(String smallClassification) {
        this.smallClassification = smallClassification;
    }

    @Override
    public int compareTo(ShowList o) {
        String materialCode = this.getMaterialCode();
        String materialCode1 = o.getMaterialCode();
        String materialDescription = this.getMaterialDescription();
        String materialDescription1 = o.getMaterialDescription();

        if (!materialDescription.equals(materialDescription1)) {
            return materialCode.compareTo(materialCode1);
        } else {
            return materialDescription.compareTo(materialDescription1);
        }
    }
}
